package com.jfinal.club.my.doc;

import com.jfinal.aop.Inject;
import com.jfinal.club.reg.RegService;
import com.jfinal.core.Controller;
import com.jfinal.kit.Ret;
import com.jfinal.upload.UploadFile;
import com.jfinal.validate.Validator;

import java.util.Map;

/**
 * @ClassName UsersValidator
 * @Description TODO
 * @Author caolong
 * @Date 2020/3/17 17:44
 */
public class FileUpAuditValidator extends Validator {

    @Override
    protected void validate(Controller c) {
        setShortCircuit(true);
        setRet(Ret.fail());
//        UploadFile file = c.getFile();

    }

    @Override
    protected void handleError(Controller c) {
        Ret ret = getRet();
        c.renderJson(ret);
    }
}
